Bug 1309796 - Filter perl provides
Filter perl provides
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.2
All Linux
unspecified Severity low
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-18 12:53 EST by Orion Poplawski
Modified: 2016-11-03 13:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: libguestfs-1.32.2-9.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-03 13:59:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2016-02-18 12:53:58 EST
Description of problem:

# repoquery --provides perl-Sys-Guestfs
Guestfs.so()(64bit)

This is a private perl library and should not be provided.  A fix has been checked into Fedora master.

Version-Release number of selected component (if applicable):
1:1.28.1-1.55.el7
Comment 4 Xianghua Chen 2016-06-28 00:59:54 EDT
Test with the packages:
libguestfs-1.32.5-6.el7.x86_64

--------------------------------------
#  repoquery --provides perl-Sys-Guestfs
Guestfs.so()(64bit)
perl(Sys::Guestfs) = 0.458
perl-Sys-Guestfs = 1:1.32.5-7.el7
perl-Sys-Guestfs(x86-64) = 1:1.32.5-7.el7
-----------------------------------------

The "Guestfs.so()(64bit)" is still there.



Tried on Fedora with the libguestfs version:
libguestfs-1.30.6-2.fc22.x86_64
------------------------------------
# repoquery --provides perl-Sys-Guestfs
Yum-utils package has been deprecated, use dnf instead.
See 'man yum2dnf' for more information.

perl(Sys::Guestfs) = 0.456
perl-Sys-Guestfs = 1:1.30.6-2.fc22
perl-Sys-Guestfs(x86-64) = 1:1.30.6-2.fc22
------------------------------------------
Comment 6 Xianghua Chen 2016-06-30 03:26:56 EDT
Verified with the packages:
libguestfs-1.32.5-9.el7.x86_64
--------------------------------------
#  repoquery --provides perl-Sys-Guestfs
perl(Sys::Guestfs) = 0.458
perl-Sys-Guestfs = 1:1.32.5-9.el7
perl-Sys-Guestfs(x86-64) = 1:1.32.5-9.el7
-----------------------------------------

The "Guestfs.so()(64bit)" is gone.

So verified.
Comment 8 errata-xmlrpc 2016-11-03 13:59:10 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2576.html

Note You need to log in before you can comment on or make changes to this bug.